import { component, withRange, boundCalendar, mergeConfig, calendarBaseConfig, calendarDoubleConfig } from '@salutejs/plasma-new-hope';
import { config } from './CalendarBase.config.js';
import { config as config$1 } from './CalendarDouble.config.js';

var mergedCalendarBaseConfig = /*#__PURE__*/mergeConfig(calendarBaseConfig, config);
var mergedCalendarDoubleConfig = /*#__PURE__*/mergeConfig(calendarDoubleConfig, config$1);
var CalendarBase = /*#__PURE__*/component(mergedCalendarBaseConfig);
var CalendarDouble = /*#__PURE__*/component(mergedCalendarDoubleConfig);
var CalendarBaseRange = /*#__PURE__*/withRange(CalendarBase);
var CalendarDoubleRange = /*#__PURE__*/withRange(CalendarDouble);
var Calendar = /*#__PURE__*/boundCalendar({
  base: CalendarBase,
  baseRange: CalendarBaseRange,
  "double": CalendarDouble,
  doubleRange: CalendarDoubleRange
});

export { Calendar, CalendarBase, CalendarBaseRange, CalendarDouble, CalendarDoubleRange };
//# sourceMappingURL=Calendar.js.map
